#!/bin/bash

#execute all scripts and get remote capture files back
FILE=$1 #.pcap
filename=$2 #sshHosts.txt
bash ./pcapfilter.sh ${FILE}
python3 main.py
echo "File splitting complete, please press any button to continue with file transfer."
read INPUT
bash ./filetransfer.sh ${filename} #runs sftp.sh on it's own


DATE=$(date +%s)
echo "starting parallel execution of all replays and capture"
parallel-ssh -i -P -t 21600 -h ${filename} ./remoteReplay.sh ${DATE}
echo "Getting all capture files back to this device"

while read line; do
	IP=${line#*@}
	sftp ${line} <<EOF
	get ${IP}_recording.zip
	exit
EOF
done < ${filename}


#get ${IP}_recording.zip
#get ${IP}_recording.pcap
